Bug 3393 - ntlm_auth should dynamically allocate it's buffer size
ntlm_auth should dynamically allocate it's buffer size
Status: CLOSED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All Linux
: P3 minor
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-10 17:12 UTC by Kai Blin
Modified: 2007-08-30 02:10 UTC (History)
1 user (show)

See Also:


Attachments
Proposed dynamic buffer size patch (2.99 KB, patch)
2007-08-29 18:12 UTC, Kai Blin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Blin 2006-01-10 17:12:36 UTC
ntlm_auth currently uses a buffer size of 2010 to store incoming requests. This is an arbitrary number and should not be hardcoded anyway.
Comment 1 Matthias Dieter Wallnöfer 2007-08-29 14:44:54 UTC
Have we there some possibility to fix this up?
Comment 2 Kai Blin 2007-08-29 15:10:11 UTC
I think so. This one's easier to fix than winbind ;)

I'll give it a go.
Comment 3 Kai Blin 2007-08-29 18:12:04 UTC
Created attachment 2904 [details]
Proposed dynamic buffer size patch

This should remove the need for a 2010 char static buffer in ntlm_auth.
Comment 4 Kai Blin 2007-08-30 01:46:33 UTC
Comment on attachment 2904 [details]
Proposed dynamic buffer size patch

There's a little typo in the patch, svn revision 24795 has the correct version.
Comment 5 Matthias Dieter Wallnöfer 2007-08-30 01:54:07 UTC
Then I think we could it finally mark as "FIXED" (I can't do it).
Comment 6 Kai Blin 2007-08-30 02:10:01 UTC
Resolving from my old account.
Comment 7 Kai Blin 2007-08-30 02:10:21 UTC
And closing.